Summary: e-smith server and gateway - email module
%define name e-smith-email
Name: %{name}
%define version 4.14.0
%define release 07
Version: %{version}
Release: %{release}
License: GPL
Vendor: contribs.org
Group: Networking/Daemons
Source: %{name}-%{version}.tar.gz
Patch0: e-smith-email-4.14.0-02.mitel_patch
Patch1: e-smith-email-4.14.0-03.mitel_patch
Patch2: e-smith-email-4.14.0-05.mitel_patch
Patch3: e-smith-email-4.14.0-06.mitel_patch
Patch4: e-smith-email-4.14.0-07.contribs_patch
Packager: contribs.org <staff@contribs.org>
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
Requires: e-smith-base >= 4.1.2-8, qmail
Requires: e-smith-lib >= 1.13.1-33
Requires: e-smith-mailfront >= 1.3.0-09
BuildRequires: e-smith-devtools >= 1.11.0-12
BuildArchitectures: noarch
AutoReqProv: no

%description
e-smith server and gateway software - email module.

%changelog
* Tue Jan 27 2004 Darrell May <dmay@myezserver.com>
- [4.14.0-07]
- BugFix /etc/e-smith/db/accounts/defaults/everyone/Visible

* Fri Aug 22 2003 Michael Soulier <msoulier@e-smith.com>
- [4.14.0-06]
- Removed the conditional around the SMTPProxy creation code. [msoulier 9572]
- Changed the trigger property for the SMTPProxy to "Proxy", in
  smtpfront-qmail. [msoulier 9572]

* Tue Aug 19 2003 Michael Soulier <msoulier@e-smith.com>
- [4.14.0-05]
- Added an smtp-proxy db record to permit enabling/disabling of the smtp
  proxy. [msoulier 9572]

* Wed Jul 16 2003 Charlie Brady <charlieb@e-smith.com>
- [4.14.0-04]
- Add junkmail maildir to skel home directory. [charlieb 9475]

* Thu Jul  3 2003 Charlie Brady <charlieb@e-smith.com>
- [4.14.0-03]
- Use qmail delivery properties to determine local delivery instructions for
  admin user. [charlieb 9198, 9255]

* Thu Jun 26 2003 Charlie Brady <charlieb@e-smith.com>
- [4.14.0-02]
- Ensure that admin has a .qmail file.
  [charlieb 9198]

* Thu Jun 26 2003 Charlie Brady <charlieb@e-smith.com>
- [4.14.0-01]
- Changing version to stable stream number - 4.14.0

* Tue Jun 24 2003 Gordon Rowell <gordonr@e-smith.com>
- [4.13.0-63]
- Spanish nav bar [gordonr 9153]

* Tue Jun 24 2003 Gordon Rowell <gordonr@e-smith.com>
- [4.13.0-62]
- Added pseudonym for anonymous [gordonr 9127]

* Thu Jun 19 2003 Charlie Brady <charlieb@e-smith.com>
- [4.13.0-61]
- Fix bug with format of ETRN fetchmail invocation. [charlieb 9077]

* Thu Jun 19 2003 Gordon Rowell <gordonr@e-smith.com>
- [4.13.0-60]
- Add some defaults for fetchmail, including Method|standard
  [gordonr 8921]

* Wed Jun 11 2003 Charlie Brady <charlieb@e-smith.com>
- [4.13.0-59]
- Add log/run script which was missing from last checkin. [charlieb 8903]

* Wed Jun 11 2003 Charlie Brady <charlieb@e-smith.com>
- [4.13.0-58]
- Use tcpserver/supervise rather than xinetd to handle POP connections. Need new
  genfilelist to handle the permissions under /var/service. [charlieb 8903]

* Wed Jun  4 2003 Charlie Brady <charlieb@e-smith.com>
- [4.13.0-57]
- Fix devnull pre-defined alias definition. Use defaults mechanism to reserve
  devnull alias. Use same mechanism for postmaster, mailer-daemon, and everyone
  pseudonyms. [charlieb 6460]

* Tue Jun  3 2003 Charlie Brady <charlieb@e-smith.com>
- [4.13.0-56]
- Change default status for fetchmail to "disabled". [charlieb 8921]

* Fri May 30 2003 Michael Soulier <msoulier@e-smith.com>
- [4.13.0-55]
- Removed dangling symlink to email-startup. [msoulier 8808]

* Tue May 20 2003 Michael Soulier <msoulier@e-smith.com>
- [4.13.0-54]
- Fixed expectation of email-update-group so that it can handle user-deleted
  and group-deleted. [msoulier 6414]

* Tue May  6 2003 Lijie Deng <lijied@e-smith.com>
- [4.13.0-53]
- Add Spanish lexicon for emailsettings and pseudonyms [lijied 3793]

* Tue Apr 29 2003 Tony Clayton <apc@e-smith.com>
- [4.13.0-52]
- Add default db fragments for qmail/popd/fetchmail services [tonyc 8537]
- Remove dead email-startup action [tonyc 8537]

* Mon Apr 14 2003 Michael Soulier <msoulier@e-smith.com>
- [4.13.0-51]
- Changed the interface to email-update-group to accept either no second
  argument, or a group or user. [msoulier 8103]

* Mon Apr 14 2003 Michael Soulier <msoulier@e-smith.com>
- [4.13.0-50]
- Removed email-update-all-groups and modified email-update-group to handle
  its functionality. [msoulier 8103]

* Mon Apr 14 2003 Charlie Brady <charlieb@e-smith.com>
- [4.13.0-49]
- Remove email-relocate-maildirs action - it's moving to e-smith-imap.
  [charlieb 8273]

* Fri Apr 11 2003 Lijie Deng <lijied@e-smith.com>
- [4.13.0-48]
- Modified French button name [lijied 7921]

* Fri Apr 11 2003 Lijie Deng <lijied@e-smith.com>
- [4.13.0-47]
- Modified button name [lijied 7921]

* Thu Apr 10 2003 Michael Soulier <msoulier@e-smith.com>
- [4.13.0-46]
- Using the createlinks script for symlink creation for consistency.
  [msoulier 6414]

* Thu Apr 10 2003 Michael Soulier <msoulier@e-smith.com>
- [4.13.0-45]
- Fixed lack of & in front of addresses generated by email-update-all-groups.
  [msoulier 6414]
- Fixed lack of use of processTemplate in email-update-group. [msoulier 6414]
- Added a symlink to email-update-all-groups in user-delete. [msoulier 6414]

* Wed Apr  9 2003 Charlie Brady <charlieb@e-smith.com>
- [4.13.0-44]
- Add creation of ~admin/.qmail-default symlink. Move email-update-user
  action from post-upgrade to bootstrap-console-save, so it is run
  at post-install as well. [charlieb 7660]

* Tue Apr  8 2003 Lijie Deng <lijied@e-smith.com>
- [4.13.0-43]
- Modified pseudonym button name [lijied 7921]

* Tue Apr  8 2003 Gordon Rowell <gordonr@e-smith.com>
- [4.13.0-42]
- Fixed fr nav bar [gordonr 7926]

* Mon Apr  7 2003 Charlie Brady <charlieb@e-smith.com>
- [4.13.0-41]
- Change email-update-user action to loop through all users if
  username not given. Link into post-upgrade action. Create
  .qmail-default symlink if it doesn't already exist.
  [charlieb 7609]

* Fri Apr  4 2003 Lijie Deng <lijied@e-smith.com>
- [4.13.0-40]
- Changed $q->table to $q->start_table where necessary [lijied 8034]

* Thu Apr  3 2003 Gordon Rowell <gordonr@e-smith.com>
- [4.13.0-39]
- Missing english L10N in emailsettings [gordonr 1950]

* Wed Apr  2 2003 Charlie Brady <charlieb@e-smith.com>
- [4.13.0-38]
- Removed 'Mitel Networks SME Server' branding on emailsetting
  and pseudonyms [lijied 8016]
- Changed Copyright header to License. [charlieb]
- Add local delivery options in .qmail template - use
  DeliveryType and DeliveryInstruction properties of qmail.
  [charlieb 2600]

* Wed Apr  2 2003 Charlie Brady <charlieb@e-smith.com>
- [4.13.0-37]
- Modify email-relocate-maildirs to ensure that Mail/junkmail
  folder exists for all users. [charlieb 2600]

* Tue Apr  1 2003 Gordon Rowell <gordonr@e-smith.com>
- [4.13.0-36]
- Redirect outbound port 25 through our SMTP server [gordonr 6349]

* Tue Apr  1 2003 Gordon Rowell <gordonr@e-smith.com>
- [4.13.0-35]
- Changed to ~alias/.qmail-devnull-default [gordonr 6460]

* Tue Apr  1 2003 Gordon Rowell <gordonr@e-smith.com>
- [4.13.0-34]
- Added ~alias/.qmail-devnull [gordonr 6460]

* Tue Apr  1 2003 Lijie Deng <lijied@e-smith.com>
- [4.13.0-33]
- Modified emailsetting en-us 'standard' trans text [lijied 7949]

* Tue Apr  1 2003 Gordon Rowell <gordonr@e-smith.com>
- [4.13.0-32]
- Fixed fr nav bar entry [gordonr 7926]

* Mon Mar 31 2003 Mike Dickson <miked@e-smith.com>
- [4.13.0-31]
- fixed the "Action" column to be several columns instead of one [miked 7761]

* Mon Mar 31 2003 Gordon Rowell <gordonr@e-smith.com>
- [4.13.0-30]
- Make use of sectionbar hr CSS class [gordonr 7911]

* Mon Mar 31 2003 Gordon Rowell <gordonr@e-smith.com>
- [4.13.0-29]
- And make section bars only 80% of the width to its obvious there's one
  Save button for the page [gordonr 7911]

* Fri Mar 28 2003 Gordon Rowell <gordonr@e-smith.com>
- [4.13.0-28]
- Lighten section bars a little [gordonr 7911]

* Fri Mar 28 2003 Gordon Rowell <gordonr@e-smith.com>
- [4.13.0-27]
- Strengthen section headings to show blocks [gordonr 1950]

* Fri Mar 28 2003 Gordon Rowell <gordonr@e-smith.com>
- [4.13.0-26]
- Deleted dangling panel links after panel merge [gordonr 1950]

* Fri Mar 28 2003 Gordon Rowell <gordonr@e-smith.com>
- [4.13.0-25]
- Adding French L10Ns [gordonr 1950]

* Thu Mar 27 2003 Gordon Rowell <gordonr@e-smith.com>
- [4.13.0-24]
- Rearranged panel order slightly to group like items [gordonr 1950]
- Adjusted titles of the two delegate mail server (upstream/downstream)
  items [gordonr 1950]
- TODO: Some missing French L10Ns (tagged in lexicon) [gordonr 1950]

* Thu Mar 27 2003 Gordon Rowell <gordonr@e-smith.com>
- [4.13.0-23]
- Deleted emailretrieval/otheremail - now merged into emailsettings 
  [gordonr 1950]
- Made emailsettings panel loop back to start and display 
  success/failure message [gordonr 1950]

* Thu Mar 27 2003 Lijie Deng <lijied@e-smith.com>
- [4.13.0-22]
- Modified emailretrieval and emailsettings en-us text [lijied 4937]
- Modified emailretrieval and emailsettings fr-ca text [lijied 4937]
  and modified the lexicons to use lang="fr", rename the lexicon
  directory to fr [lijied 6787]

* Tue Mar 25 2003 Lijie Deng <lijied@e-smith.com>
- [4.13.0-21]
- Modified emailsettings access text [lijied 4081]

* Tue Mar 25 2003 Lijie Deng <lijied@e-smith.com>
- [4.13.0-20]
- And add panel link [gordonr 1950]
- Change page title to "E-mail settings' and nav bar to 'e-mail'
  in English and French [gordonr 1950]
- Modified otheremail POP and IMAP server access text [lijied 4081]

* Mon Mar 24 2003 Gordon Rowell <gordonr@e-smith.com>
- [4.13.0-19]
- Merge emailretrieval/othermail -> emailsettings [gordonr 1950]

* Tue Mar 18 2003 Gordon Rowell <gordonr@e-smith.com>
- [4.13.0-18]
- Added [$ExternalIP] to "locals" [gordonr 6900]

* Tue Mar 18 2003 Gordon Rowell <gordonr@e-smith.com>
- [4.13.0-17]
- Deleted ./etc/{fetchmail, startmail}/template-begin,
  and modified %build [lijied 3295]
- Reconfigure/reload /var/qmail/control/locals on ip-change [gordonr 6900]

* Tue Mar 18 2003 Gordon Rowell <gordonr@e-smith.com>
- [4.13.0-16]
- Broken rebuild - missing mkdir in %build

* Fri Mar  7 2003 Lijie Deng <lijied@e-smith.com>
- [4.13.0-15]
- Modified panel order for emailretrieval,otheremail 
  and pseudonyms
- Modified en-us and fr-ca pseudonyms panel title [lijied 7356] 

* Tue Mar  4 2003 Lijie Deng <lijied@e-smith.com>
- [4.13.0-14]
- Split en-us lexicon from emailretrieval panel
  split en-us lexicon from otheremail panel
  split en-us lexicon from pseudonyms panel  [lijied 4030]

* Mon Mar  3 2003 Lijie Deng <lijied@e-smith.com>
- [4.13.0-13]
- RebuildRPM for otheremail and pseudonyms [lijied 5003]

* Mon Mar  3 2003 Lijie Deng <lijied@e-smith.com>
- [4.13.0-12]
- RebuildRPM for emailretrival, commit missed last time [lijied 5003]

* Fri Feb 28 2003 Charlie Brady <charlieb@e-smith.com>
- [4.13.0-11]
- Added French lexicon for emailretrieval, otheremail
  and pseudonyms. [lijied 5003]
- Re-do hosts.allow template to use esmith::ConfigDB::hosts_allow_spec.
  Add dependency on up-to-date e-smith-lib. [charlieb 5650]
- Remove bogus mailfront dependency.

* Tue Feb 25 2003 Charlie Brady <charlieb@e-smith.com>
- [4.13.0-10]
- Convert virtualdomains template to use esmith::{Hosts,Domains}DB.
  [charlieb 2670]
- Remove duplicate DomainName setting from virtualdomains template,
  now that the primary domain is added to the domains db. [charlieb 2670]

* Mon Feb 24 2003 Michael Soulier <msoulier@e-smith.com>
- [4.13.0-09]
- Removed use of LocalDomainPrefix. [msoulier 4812]

* Sat Jan 25 2003 Mike Dickson <miked@e-smith.com>
- [4.13.0-08]
- added ACTION to the lexicon [miked 6363]

* Wed Jan 15 2003 Charlie Brady <charlieb@e-smith.com>
- [4.13.0-07]
- Change pattern match for ppp device in /etc/startmail, so that
  mail collection is triggered on a PCI ISDN dialup link [charlieb 5399]
- Remove standard template-{begin,end} fragments where possible. The
  default ones will be used in their place [charlieb 3295]

* Thu Jan  9 2003 Michael Soulier <msoulier@e-smith.com>
- [4.13.0-06]
- Fixed incorrect page flow behaviour. Panel now returns to start page on
  completion, with a status message prefixed. [msoulier 6470]

* Fri Dec 27 2002 Mike Dickson <miked@e-smith.com>
- [4.13.0-05]
- minor UI updates [miked 5494]

* Mon Dec 16 2002 Mike Dickson <miked@e-smith.com>
- [4.13.0-04]
- UI Update, part of the tweaking for the new UI [miked 5494]

* Mon Dec  2 2002 Mike Dickson <miked@e-smith.com>
- [4.13.0-03]
- ui update  [miked 5494]

* Thu Nov 21 2002 Mike Dickson <miked@e-smith.com>
- [4.13.0-02]
- update to new UI system [miked 5494]

* Wed Nov  6 2002 Charlie Brady <charlieb@e-smith.com>
- [4.13.0-01]
- Rolling development stream version to 4.13.0

* Tue Oct 15 2002 Charlie Brady <charlieb@e-smith.com>
- [4.12.1-01]
- Roll new version to fix tagging problem

* Tue Oct 15 2002 Gordon Rowell <gordonr@e-smith.com>
- [4.12.0-02]
- If the user had a maildir called Mail/, rename it so it gets 
  relocated into the new directory Mail/. Attempt to relocate as
  many directories as possible - only warn when directories can't
  be renamed rather than calling die(). [gordonr 4767]

* Fri Oct 11 2002 Charlie Brady <charlieb@e-smith.com>
- [4.12.0-01]
- Roll to maintained version number to 4.12.0

* Tue Oct  8 2002 Mark Knox <markk@e-smith.com>
- [4.11.8-05]
- Removed stray description tag [markk 5135]

* Tue Sep 24 2002 Charlie Brady <charlieb@e-smith.com>
- [4.11.8-04]
- Re-add "use esmith::util" to email-update-group - it was lost in the
  esmith::AccountsDB rewrite. [charlieb 4932]

* Mon Sep 23 2002 Charlie Brady <charlieb@e-smith.com>
- [4.11.8-03]
- Fix creation of list of groups from groupname in last change [charlieb 4932]

* Fri Sep 20 2002 Charlie Brady <charlieb@e-smith.com>
- [4.11.8-02]
- Modify email-update-group to iterate over all groups during post-upgrade
  event [charlieb 4932]

* Mon Sep  9 2002 Mark Knox <markk@e-smith.com>
- [4.11.8-01]
- Rolling to new version to fix patching problem

* Mon Sep  9 2002 Mark Knox <markk@e-smith.com>
- [4.11.7-06]
- Display only multidrop retrieval in private s&g mode [markk 4780]

* Mon Sep  9 2002 Charlie Brady <charlieb@e-smith.com>
- [4.11.7-05]
- Use localhost for all fetchmail local delivery [charlieb 4742]

* Thu Sep  5 2002 Mark Knox <markk@e-smith.com>
- [4.11.7-04]
- Remove empty description and lexicon entry [markk 4764]

* Wed Sep  4 2002 Gordon Rowell <gordonr@e-smith.com>
- [4.11.7-03]
- Relocate maildirs for all users and admin to Mail/ subdirectory
  in post-upgrade event. Directories which didn't exist in Mail/ 
  preserve their name. Directories which conflict with an existing
  directory in Mail/ become {name}.relocated and if that conflicts,
  we try {name}.relocated-time(). If that conflicts, we generate a
  warning to the log and give up. [gordonr 4767]

* Fri Aug 30 2002 Charlie Brady <charlieb@e-smith.com>
- [4.11.7-02]
- Update default pine configuration to deal with TLS capable imapd,
  and to support a few more features.  [charlieb 3669]

* Mon Aug 19 2002 Charlie Brady <charlieb@e-smith.com>
- [4.11.7-01]
- Use new adjust-masq action script to adjust packet filter, rather than
  restart-masq. [charlieb 4501]

* Fri Jul 26 2002 Charlie Brady <charlieb@e-smith.com>
- [4.11.6-01]
- Return exit status from /etc/startmail if it is called, 0 otherwise.
  [charlieb 4487]

* Fri Jul 26 2002 Charlie Brady <charlieb@e-smith.com>
- [4.11.5-01]
- Add missing space after --authentication option. [charlieb 3050]

* Fri Jul 26 2002 Charlie Brady <charlieb@e-smith.com>
- [4.11.4-01]
- Call /etc/startmail from email-ipup, rather than /etc/fetchmail, so that
  $SMTP is set. [charlieb 4483]

* Wed Jul 24 2002 Mark Knox <markk@e-smith.com>
- [4.11.3-01]
- Fixed faulty display of multidrop params [markk 4453]
- Added fetch of POP password [markk 4453]

* Wed Jul 24 2002 Gordon Rowell <gordonr@e-smith.com>
- [4.11.2-01]
- Added optional property fetchmail|AuthenticationMethod, defaulting to
  "password" so that people with working CRAM-MD5 or similar can still
  choose that (or indeed "any" if it works for them) [gordonr 3050]

* Wed Jul 24 2002 Gordon Rowell <gordonr@e-smith.com>
- [4.11.1-01]
- Added --auth password to fetchmail call to force password
  authentication [gordonr 3050]

* Wed Jun  5 2002 Charlie Brady <charlieb@e-smith.com>
- [4.11.0-01]
- Changing version to maintained stream number to 4.11.0

* Fri May 31 2002 Charlie Brady <charlieb@e-smith.com>
- [4.10.0-01]
- Changing version to maintained stream number to 4.10.0

* Tue May 28 2002 Charlie Brady <charlieb@e-smith.com>
- [4.9.25-01]
- Fix multi-drop sort. 'on' and 'off' were confused in "select sort
  method" in the panel. [charlieb 3682]

* Tue May 28 2002 Charlie Brady <charlieb@e-smith.com>
- [4.9.24-01]
- Fix forward unknonw email to admin, which was broken in the FormMagick
  conversion. [charlieb 3683]

* Thu May 23 2002 Gordon Rowell <gordonr@e-smith.com>
- [4.9.23-01]
- RPM rebuild forced by cvsroot2rpm

* Wed May 22 2002 Gordon Rowell <gordonr@e-smith.com>
- [4.9.22-01]
- Set smtp-server=localhost in pine.conf [gordonr 3567]

* Fri May 17 2002 Mark Knox <markk@e-smith.com>
- [4.9.21-01]
- Fixed heading on panel [markk 3516]

* Fri May 17 2002 Mark Knox <markk@e-smith.com>
- [4.9.20-01]
- Bold table headings [markk 3503]

* Thu May 16 2002 Kirrily Robert <skud@e-smith.com>
- [4.9.19-01]
- Added border to pseudonyms table [skud 3491]

* Thu May 16 2002 Charlie Brady <charlieb@e-smith.com>
- [4.9.18-01]
- Remove migration of smtpfwdd properties and init of smtpfront-qmail
  service - moved to e-smith-mailfront. [charlieb 3442]
- Fix fetchmail delivery - we need to use smtphost, not smtpaddress.
- Append @$DomainName to "postmaster" for postmaster address - 
  fetchmail otherwise uses postmaster@a.b.c.d [charlieb 3469]
- Remove commented out SMTP address lookup in /etc/fetchmail script -
  it's now passed in from /etc/startmail (and we have CVS for version
  control) [ charlieb 3469].

* Fri May 10 2002 Gordon Rowell <gordonr@e-smith.com>
- [4.9.17-01]
- Handle concurrencyremote setting of zero [gordonr 2920]

* Mon May  6 2002 Gordon Rowell <gordonr@e-smith.com>
- [4.9.16-01]
- Localise SAVE button [gordonr 3222]

* Mon May  6 2002 Charlie Brady <charlieb@e-smith.com>
- [4.9.15-01]
- Removed CVS detritus from changelog.
- Changed references to smtpd db entries to smtpfront-qmail. [charlieb 2604]
- Added blank or IP validator. Changed ip_number to new validation in
  emailretrieval [markk 3317]

* Fri May  3 2002 Mark Knox <markk@e-smith.com>
- [4.9.14-01]
- Changed lexicon en -> en-us [markk 3320]
- Removed unused "TITLE" on first page [markk 3320]
- Added status message display on first page [markk 3320]
- Cleaned up display in IE [markk 3320]
- Localised "Everyone" [markk 3320]
- Cleaned up die calls in module for better error handling [markk 3320]

* Thu May  2 2002 Charlie Brady <charlieb@e-smith.com>
- [4.9.13-01]
- Enable smtpd service by default. Migrate status and filter properties
  from smtpfwdd to smtpd service, if found. [charlieb 2604]

* Wed May  1 2002 Gordon Rowell <gordonr@e-smith.com>
- [4.9.12-01]
- esmith::AccountDB -> esmith::AccountsDB [schwern 3287]

* Tue Apr 30 2002 Gordon Rowell <gordonr@e-smith.com>
- [4.9.11-01]
- Quote fetchmail username and password [gordonr 3296]

* Fri Apr 26 2002 Gordon Rowell <gordonr@e-smith.com>
- [4.9.10-01]
- Removed /var/qmail/control/rcpthosts/template-{begin,end} [gordonr 2604]

* Thu Apr 25 2002 Gordon Rowell <gordonr@e-smith.com>
- [4.9.9-01]
- Added head/foot to pseudonyms [gordonr 3223]
- Nav bar entries to all panels [gordonr 3155]

* Mon Apr 22 2002 Gordon Rowell <gordonr@e-smith.com>
- [4.9.8-01]
- Removed bogus hard quotes on call to serviceControl [gordonr 2920]
- Changed navigation for email retrieval to "E-mail" as per
  glossary [gordonr 3155]

* Fri Apr 19 2002 Mark Knox <markk@e-smith.com>
- [4.9.7-01]
- Changed some db->get()s to check their return values. Was causing breakage
  in otheremail panel on fresh install. [markk]

* Fri Apr 19 2002 Gordon Rowell <gordonr@e-smith.com>
- [4.9.6-01]
- Allow optional qmail|ConcurrencyRemote setting which overrides the
  memory sized based heuristic [gordonr 2920]

* Fri Apr 19 2002 Mark Knox <markk@e-smith.com>
- [4.9.5-01]
- Removed hardcoded server name and replaced with lookup of FQDN [markk 3196]

* Thu Apr 18 2002 Mark Knox <markk@e-smith.com>
- [4.9.4-01]
- Pass SMTP on the command line as the env is cleared [markk 3161]
- Pass LocalIP if ExternalIP doesn't exist [markk 3161]

* Thu Apr 18 2002 Mark Knox <markk@e-smith.com>
- [4.9.3-01]
- Extract ExternalIP in /etc/startmail and export as ENV{SMTP} to 
  /etc/fetchmail to avoid calling privileged commands as user qmailr 
  [markk 3161]

* Mon Apr 15 2002 Gordon Rowell <gordonr@e-smith.com>
- [4.9.2-01]
- Language en->en-us

* Mon Apr  8 2002 Michael Schwern <schwern@e-smith.com>
- [4.9.1-01]
- Added i18n'd versions of emailretrieval and otheremail panels [skud 3032]

* Fri Mar 15 2002 Charlie Brady <charlieb@e-smith.com>
- [4.9.0-01]
- rollRPM: Rolled version number to 4.9.0-01. Includes patches up to 4.8.0-07.
- Removed empty directories from tarball and add code to make them in %prep
  section, prior to CVS import.

* Thu Feb 14 2002 Charlie Brady <charlieb@e-smith.com>
- [4.8.0-07]
- Remove the current qmail rcpthosts template and replace it with a
  template directory containing zero length template-begin and template-end
  files. The current template containing "not used" comments is moved
  into the e-smith-obtuse-smtpd RPM.

* Mon Jan 28 2002 Charlie Brady <charlieb@e-smith.com>
- [4.8.0-06]
- Re-instate 4.8.0-02 patch. See #2677.

* Fri Jan 18 2002 Charlie Brady <charlieb@e-smith.com>
- [4.8.0-05]
- Use external IP as SMTP address when using multidrop mail, so that
  external network smtpd rules are applied to address matches. We have to
  fall back to LocalIP in serveronly mode, unfortunately, because we have
  no other option.

* Fri Dec 21 2001 Charlie Brady <charlieb@e-smith.com>
- [4.8.0-04]
- Temporarily back out 4.8.0-02 patch, pending further verification.

* Fri Dec 21 2001 Charlie Brady <charlieb@e-smith.com>
- [4.8.0-03]
- Fix typo "smptroutes" => "smtproutes" in email-conf.

* Wed Dec 12 2001 Charlie Brady <charlieb@e-smith.com>
- [4.8.0-02]
- Fix a few problems with email-ipup script which lead to warnings being
  logged.
- Trucate the changelog, which is getting very large. For earlier changelog,
  see an earlier version of the package.

* Tue Dec 11 2001 Adrian Chung <mac@e-smith.com>
- [4.8.0-01]
- rollRPM: Rolled version number to 4.8.0-01. Includes patches up to 4.7.0-12.

* Tue Aug 21 2001 Gordon Rowell <gordonr@e-smith.com>
- [4.6.1-01]
- Rolled version number to 4.6.1-01. Includes patches upto 4.6.0-06.

* Tue Aug 21 2001 Gordon Rowell <gordonr@e-smith.com>
- [4.6.0-02..06]
- Final branding changes

* Wed Aug 8 2001 Charlie Brady <charlieb@e-smith.com>
- [4.6.0-01]
- Rolled version number to 4.6.0-01. Includes patches upto 4.5.0-20.

%prep
%setup
mkdir -p root/etc/e-smith/web/panels/manager/cgi-bin
mkdir -p root/etc/e-smith/events/pseudonym-modify
mkdir -p root/etc/e-smith/events/host-modify
mkdir -p root/etc/e-smith/events/ip-up
mkdir -p root/etc/e-smith/events/user-delete
mkdir -p root/etc/e-smith/events/user-create
mkdir -p root/etc/e-smith/events/domain-delete
mkdir -p root/etc/e-smith/events/domain-create
mkdir -p root/etc/e-smith/events/group-delete
mkdir -p root/etc/e-smith/events/group-create
mkdir -p root/etc/e-smith/events/post-upgrade
mkdir -p root/etc/e-smith/events/user-modify
mkdir -p root/etc/e-smith/events/group-modify
mkdir -p root/etc/e-smith/events/post-install
mkdir -p root/etc/e-smith/events/console-save
mkdir -p root/etc/e-smith/events/email-update
mkdir -p root/etc/e-smith/events/pseudonym-delete
mkdir -p root/etc/e-smith/events/pseudonym-create
mkdir -p root/etc/e-smith/events/host-delete
mkdir -p root/etc/e-smith/events/host-create
mkdir -p root/etc/e-smith/events/bootstrap-console-save
mkdir -p root/etc/e-smith/events/ip-change
mkdir -p root/etc/e-smith/events/network-delete
mkdir -p root/etc/e-smith/events/network-create
mkdir -p root/var/lock/fetchmail
mkdir -p root//etc/e-smith/skel/user/Maildir/\;junkmail/{tmp,new,cur}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
perl createlinks

mkdir -p root/etc/e-smith/templates/etc/fetchmail
ln -s /etc/e-smith/templates-default/template-begin-shell \
      root/etc/e-smith/templates/etc/fetchmail/template-begin

mkdir -p root/etc/e-smith/templates/etc/startmail
ln -s /etc/e-smith/templates-default/template-begin-shell \
      root/etc/e-smith/templates/etc/startmail/template-begin

mkdir -p root/service
ln -s /var/service/popd root/service/popd
touch root/var/service/popd/down

mkdir -p root/etc/rc.d/init.d
ln -s daemontools root/etc/rc.d/init.d/popd
mkdir -p root/etc/rc.d/rc7.d
ln -s /etc/rc.d/init.d/e-smith-service root/etc/rc.d/rc7.d/S55popd

mkdir -p root/var/log/popd

%postun

%install
rm -rf $RPM_BUILD_ROOT
(cd root ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-%{release}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT	\
    --dir /var/lock/fetchmail 'attr(755,qmailr,qmail)' \
    --dir /var/log/popd 'attr(0750,smelog,smelog)' \
    --dir /var/service/popd 'attr(01755,root,root)' \
    --file /var/service/popd/run 'attr(0750,root,root)' \
    --file /var/service/popd/log/run 'attr(0750,root,root)' \
    > %{name}-%{version}-%{release}-filelist
echo "%doc COPYING" >> %{name}-%{version}-%{release}-filelist

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-%{release}-filelist
%defattr(-,root,root)
